<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng.jna (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng.jna (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds.ng.jna</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/AbstractNativeDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">AbstractNativeDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Common implementation for client library and embedded database factory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/BigEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">BigEndianDatatypeCoder</a></td>
<td class="colLast">
<div class="block">Datatype encoder and decoder for big endian platforms, specifically for use with the Firebird client library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/FbClientDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbClientDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabaseFactory</code></a> for establishing connection using the
 Firebird native client library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/FbEmbeddedDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbEmbeddedDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabaseFactory</code></a> for establishing connection using the
 Firebird embedded library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/FbLocalDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbLocalDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabaseFactory</code></a> for establishing local connections using
 the Firebird client library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaBlob.html" title="class in org.firebirdsql.gds.ng.jna">JnaBlob</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><code>FbBlob</code></a> for native client access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaConnection</a>&lt;T extends <a href="../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;,C extends <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>&gt;</td>
<td class="colLast">
<div class="block">Class handling the initial setup of the JNA connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabase</code></a> for native client access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a></td>
<td class="colLast">
<div class="block">Class handling the initial setup of the JNA database connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a></td>
<td class="colLast">
<div class="block">Event handle for the JNA protocol.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna">JnaParameterConverter</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng"><code>ParameterConverter</code></a> for JNA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html" title="class in org.firebirdsql.gds.ng.jna">JnaService</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng"><code>FbService</code></a> for native client access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a></td>
<td class="colLast">
<div class="block">Class handling the initial setup of the JNA service connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html" title="class in org.firebirdsql.gds.ng.jna">JnaStatement</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> for native client access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> for native client access.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">LittleEndianDatatypeCoder</a></td>
<td class="colLast">
<div class="block">Datatype encoder and decoder for little endian platforms, specifically for use with the Firebird client library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/NativeResourceTracker.html" title="class in org.firebirdsql.gds.ng.jna">NativeResourceTracker</a></td>
<td class="colLast">
<div class="block">Class responsible for tracking loaded native resources for cleanup/disposal on exit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/NativeResourceUnloadWebListener.html" title="class in org.firebirdsql.gds.ng.jna">NativeResourceUnloadWebListener</a></td>
<td class="colLast">
<div class="block">Servlet context listener responsible for unloading native libraries if loaded in the current context.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna">NativeLibraryLoadException</a></td>
<td class="colLast">
<div class="block">Thrown when a native library could not be loaded.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
